Create Account API

Create a new business wallet/account.

Endpoint Information

POST https://api.moolre.com/open/account/create

To test in sandbox, use https://sandbox.moolre.com/open/account/create instead.

Authentication & Headers

Header NameTypeRequiredDescription
X-API-USERstringYesYour Moolre username.
X-API-KEYstringYesYour API Key. (Not required in Sandbox)

Request Parameters

ParameterTypeRequiredDescription
typeintegerYesMust be 1.
accountnamestringYesRegistered name of the business.
currencystringYesCurrency code (e.g., GHS).
apibooleanNoIndicates if the account supports API transactions.
callbackstringNoWebhook URL for processing real-time transaction callbacks.
settlementobjectNoOptional settlement details (currency, frequency, channel, recipient, sublist).

Response Examples

200 - Success

Account created successfully.

{
  "status": "1",
  "code": "WC02",
  "message": [
    "Wallet Created Successfully",
    "Your wallet will be reloaded shortly or Click close to refresh now."
  ],
  "data": {
    "status": 1,
    "accountnumber": "100000157291",
    "accountname": "My Business LTD",
    "paymentid": "0757291",
    "api": 0,
    "callback": "",
    "settlement": {},
    "secret": "cf2a797f-c8d8-470c-a736-6f5f78ae1d86"
  },
  "go": [
    "wallets",
    "1.57291"
  ]
}

← Back to AI Documentation Index | View Full API Reference